#ifdef ARC_NONE_GRAPHICS

#include "arc/graphics/renderer.h"
#include <stdio.h>

void ARC_Renderer_CreateWithEngineData(ARC_Renderer **renderer, ARC_EngineData *data){
    printf("No Graphics Backend Selected\n");
}

void ARC_Renderer_Destroy(ARC_Renderer *renderer){
    printf("No Graphics Backend Selected\n");
}

void ARC_Renderer_Clear(ARC_Renderer *renderer){
    printf("No Graphics Backend Selected\n");
}

void ARC_Renderer_Render(ARC_Renderer *renderer){
    printf("No Graphics Backend Selected\n");
}

#endif // !ARC_NONE_GRAPHICS
